Class mmmm
ej
java.lang.Object
com.cycling74.max.MaxObject
ej.ej
ej.mmmm

public class mmmm
extends ej
min, median, mean and max on a stream of values.
See Also:

  "js ej.4m.js", ej

Fields inherited from class com.cycling74.max.MaxObject
EMPTY_STRING_ARRAY, NO_INLETS, NO_OUTLETS

Constructor Summary
mmmm() Create a mmmm with default window size (3).
mmmm(int ws) Create a mmmm with specified window size.
mmmm(int ws, boolean verbeux) Create a mmmm with specified window size and verbose mode

Method Summary
void | bang() Re-trigger.
void | clear() Reset the memory.
void | inlet(float f) Value to be analysed
void | inlet(int i) Value to be analysed
void | reset() Reset the memory.

Methods inherited from class ej.ej
anything, dblclick, findVersion, isNumber, list, post, post, post, post, post, post

Methods inherited from class com.cycling74.max.MaxObject
bail, createInfoOutlet, declareAttribute, declareAttribute, declareInlets, declareIO, declareOutlets, declareReadOnlyAttribute, declareReadOnlyAttribute, declareTypedIO, embedMessage, error, gc, getAttr, getAttrAtomArray, getAttrBool, getAttrBoolArray, getAttrByte, getAttrByteArray, getAttrChar, getAttrCharArray, getAttrDouble, getAttrDoubleArray, getAttrFloat, getAttrFloatArray, getAttributeInfo, getAttrInt, getAttrIntArray, getAttrLongArray, getAttrShort, getAttrShortArray, getAttrString, getAttrStringArray, getCodeSourcePath, getContext, getErrorStream, getInfoIdx, getInlet, getInletAssist, getInletType, getLongAttr, getMaxBox, getName, getNumInlets, getNumOutlets, getOutletAssist, getOutletType, getParentPatcher, getPostStream, list, list, loadbang, notifyDeleted, ouch, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outletBang, outletBangHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, post, postCodePath, save, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setInletAssist, setInletAssist, setName, setOutletAssist, setOutletAssist, showException, showException, toString, viewsource, zap

Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait

Constructor Detail
mmmm
public mmmm()

  Create a mmmm with default window size (3).

mmmm
public mmmm(int ws)

  Create a mmmm with specified window size.
  Parameters:
    ws - window size

mmmm
public mmmm(int ws,
boolean verbeux)

  Create a mmmm with specified window size and verbose mode
  Parameters:
    ws - window size
    verbeux - verbose state (1 equals verbose, 0 silent).

Method Detail
bang
public void bang()

  Re-trigger.
  Overrides:
    bang in class ej

inlet
public void inlet(int i)

  Value to be analysed
  Overrides:
    inlet in class ej

inlet
public void inlet(float f)

  Value to be analysed
  Overrides:
    inlet in class ej
  Parameters:
    f - float

clear
public void clear()

  Reset the memory. alias for reset().

reset
public void reset()

  Reset the memory.

Java API documentation generated with DocFlex/Doclet v1.6.0
DocFlex/Doclet is both a multi-format Javadoc doclet and a free edition of DocFlex/Javadoc. If you need to customize your Javadoc without writing a full-blown doclet from scratch, DocFlex/Javadoc may be the only tool able to help you! Find out more at www.docflex.com